diff -u file-5.03/src/apprentice.c patches/src/apprentice.c
--- file-5.03/src/apprentice.c	2009-03-18 16:19:23.000000000 +0100
+++ patches/src/apprentice.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: apprentice.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -32,7 +34,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: apprentice.c,v 1.151 2009/03/18 15:19:23 christos Exp $")
+#else
+__RCSID("$NetBSD: apprentice.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
@@ -627,7 +633,9 @@
 		(*errs)++;
 	} else {
 		/* read and parse this file */
-		for (ms->line = 1; fgets(line, sizeof(line), f) != NULL; ms->line++) {
+		for (ms->line = 1;
+		    fgets(line, CAST(int, sizeof(line)), f) != NULL;
+		    ms->line++) {
 			size_t len;
 			len = strlen(line);
 			if (len == 0) /* null line, garbage, etc */
@@ -1087,7 +1095,7 @@
 				return -1;
 			}
 			me->mp = m = nm;
-			me->max_count = cnt;
+			me->max_count = CAST(uint32_t, cnt);
 		}
 		m = &me->mp[me->cont_count++];
 		(void)memset(m, 0, sizeof(*m));
@@ -1123,7 +1131,7 @@
 		m->cont_level = 0;
 		me->cont_count = 1;
 	}
-	m->lineno = lineno;
+	m->lineno = CAST(uint32_t, lineno);
 
 	if (*l == '&') {  /* m->cont_level == 0 checked below. */
                 ++l;            /* step over */
@@ -1296,7 +1304,8 @@
 						file_magwarn(ms,
 						    "multiple ranges");
 					have_range = 1;
-					m->str_range = strtoul(l, &t, 0);
+					m->str_range = CAST(uint32_t,
+					    strtoul(l, &t, 0));
 					if (m->str_range == 0)
 						file_magwarn(ms,
 						    "zero range");
@@ -1943,7 +1952,7 @@
 	}
 out:
 	*p = '\0';
-	m->vallen = p - origp;
+	m->vallen = CAST(unsigned char, (p - origp));
 	if (m->type == FILE_PSTRING)
 		m->vallen++;
 	return s;
diff -u file-5.03/src/apptype.c patches/src/apptype.c
--- file-5.03/src/apptype.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/apptype.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: apptype.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $	*/
+
 /*
  * Adapted from: apptype.c, Written by Eberhard Mattes and put into the
  * public domain
@@ -27,7 +29,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: apptype.c,v 1.11 2009/02/04 18:24:32 christos Exp $")
+#else
+__RCSID("$NetBSD: apptype.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $");
+#endif
 #endif /* lint */
 
 #include <stdlib.h>
diff -u file-5.03/src/ascmagic.c patches/src/ascmagic.c
--- file-5.03/src/ascmagic.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/ascmagic.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: ascmagic.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -36,7 +38,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: ascmagic.c,v 1.75 2009/02/03 20:27:51 christos Exp $")
+#else
+__RCSID("$NetBSD: ascmagic.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
diff -u file-5.03/src/asprintf.c patches/src/asprintf.c
--- file-5.03/src/asprintf.c	2009-02-03 21:27:51.000000000 +0100
+++ patches/src/asprintf.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: asprintf.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -29,7 +31,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: asprintf.c,v 1.3 2009/02/03 20:27:51 christos Exp $")
+#else
+__RCSID("$NetBSD: asprintf.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $");
+#endif
 #endif
 
 int vasprintf(char **ptr, const char *format_string, va_list vargs);
diff -u file-5.03/src/cdf.c patches/src/cdf.c
--- file-5.03/src/cdf.c	2009-05-06 16:29:47.000000000 +0200
+++ patches/src/cdf.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: cdf.c,v 1.3 2009/05/08 17:43:54 christos Exp $	*/
+
 /*-
  * Copyright (c) 2008 Christos Zoulas
  * All rights reserved.
@@ -32,7 +34,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: cdf.c,v 1.30 2009/05/06 14:29:47 christos Exp $")
+#else
+__RCSID("$NetBSD: cdf.c,v 1.3 2009/05/08 17:43:54 christos Exp $");
+#endif
 #endif
 
 #include <assert.h>
@@ -68,9 +74,9 @@
 
 #define NEED_SWAP	(cdf_bo.u == (uint32_t)0x01020304)
 
-#define CDF_TOLE8(x)	(NEED_SWAP ? cdf_tole8(x) : (uint64_t)(x))
-#define CDF_TOLE4(x)	(NEED_SWAP ? cdf_tole4(x) : (uint32_t)(x))
-#define CDF_TOLE2(x)	(NEED_SWAP ? cdf_tole2(x) : (uint16_t)(x))
+#define CDF_TOLE8(x)	((uint64_t)(NEED_SWAP ? cdf_tole8(x) : (uint64_t)(x)))
+#define CDF_TOLE4(x)	((uint32_t)(NEED_SWAP ? cdf_tole4(x) : (uint32_t)(x)))
+#define CDF_TOLE2(x)	((uint16_t)(NEED_SWAP ? cdf_tole2(x) : (uint16_t)(x)))
 
 /*
  * swap a short
@@ -145,15 +151,15 @@
 	h->h_min_size_standard_stream =
 	    CDF_TOLE4(h->h_min_size_standard_stream);
 	h->h_secid_first_sector_in_short_sat =
-	    CDF_TOLE4(h->h_secid_first_sector_in_short_sat);
+	    CDF_TOLE4((uint32_t)h->h_secid_first_sector_in_short_sat);
 	h->h_num_sectors_in_short_sat =
 	    CDF_TOLE4(h->h_num_sectors_in_short_sat);
 	h->h_secid_first_sector_in_master_sat =
-	    CDF_TOLE4(h->h_secid_first_sector_in_master_sat);
+	    CDF_TOLE4((uint32_t)h->h_secid_first_sector_in_master_sat);
 	h->h_num_sectors_in_master_sat =
 	    CDF_TOLE4(h->h_num_sectors_in_master_sat);
 	for (i = 0; i < __arraycount(h->h_master_sat); i++)
-		h->h_master_sat[i] = CDF_TOLE4(h->h_master_sat[i]);
+		h->h_master_sat[i] = CDF_TOLE4((uint32_t)h->h_master_sat[i]);
 }
 
 void
@@ -186,15 +192,15 @@
 cdf_swap_dir(cdf_directory_t *d)
 {
 	d->d_namelen = CDF_TOLE2(d->d_namelen);
-	d->d_left_child = CDF_TOLE4(d->d_left_child);
-	d->d_right_child = CDF_TOLE4(d->d_right_child);
-	d->d_storage = CDF_TOLE4(d->d_storage);
+	d->d_left_child = CDF_TOLE4((uint32_t)d->d_left_child);
+	d->d_right_child = CDF_TOLE4((uint32_t)d->d_right_child);
+	d->d_storage = CDF_TOLE4((uint32_t)d->d_storage);
 	d->d_storage_uuid[0] = CDF_TOLE8(d->d_storage_uuid[0]);
 	d->d_storage_uuid[1] = CDF_TOLE8(d->d_storage_uuid[1]);
 	d->d_flags = CDF_TOLE4(d->d_flags);
-	d->d_created = CDF_TOLE8(d->d_created);
-	d->d_modified = CDF_TOLE8(d->d_modified);
-	d->d_stream_first_sector = CDF_TOLE4(d->d_stream_first_sector);
+	d->d_created = CDF_TOLE8((uint64_t)d->d_created);
+	d->d_modified = CDF_TOLE8((uint64_t)d->d_modified);
+	d->d_stream_first_sector = CDF_TOLE4((uint32_t)d->d_stream_first_sector);
 	d->d_size = CDF_TOLE4(d->d_size);
 }
 
@@ -374,7 +380,7 @@
 			goto out2;
 		}
 		for (k = 0; k < nsatpersec; k++, i++) {
-			sec = CDF_TOLE4(msa[k]);
+			sec = CDF_TOLE4((uint32_t)msa[k]);
 			if (sec < 0)
 				goto out;
 			if (i >= sat->sat_len) {
@@ -390,7 +396,7 @@
 				goto out2;
 			}
 		}
-		mid = CDF_TOLE4(msa[nsatpersec]);
+		mid = CDF_TOLE4((uint32_t)msa[nsatpersec]);
 	}
 out:
 	sat->sat_len = i;
@@ -422,7 +428,7 @@
 			errno = EFTYPE;
 			return (size_t)-1;
 		}
-		sid = CDF_TOLE4(sat->sat_tab[sid]);
+		sid = CDF_TOLE4((uint32_t)sat->sat_tab[sid]);
 	}
 	DPRINTF(("\n"));
 	return i;
@@ -465,7 +471,7 @@
 			DPRINTF(("Reading long sector chain %d", sid));
 			goto out;
 		}
-		sid = CDF_TOLE4(sat->sat_tab[sid]);
+		sid = CDF_TOLE4((uint32_t)sat->sat_tab[sid]);
 	}
 	return 0;
 out:
@@ -506,7 +512,7 @@
 			DPRINTF(("Reading short sector chain %d", sid));
 			goto out;
 		}
-		sid = CDF_TOLE4(ssat->sat_tab[sid]);
+		sid = CDF_TOLE4((uint32_t)ssat->sat_tab[sid]);
 	}
 	return 0;
 out:
@@ -566,7 +572,7 @@
 			cdf_unpack_dir(&dir->dir_tab[i * nd + j],
 			    &buf[j * CDF_DIRECTORY_SIZE]);
 		}
-		sid = CDF_TOLE4(sat->sat_tab[sid]);
+		sid = CDF_TOLE4((uint32_t)sat->sat_tab[sid]);
 	}
 	if (NEED_SWAP)
 		for (i = 0; i < dir->dir_len; i++)
@@ -613,7 +619,7 @@
 			DPRINTF(("Reading short sat sector %d", sid));
 			goto out;
 		}
-		sid = CDF_TOLE4(sat->sat_tab[sid]);
+		sid = CDF_TOLE4((uint32_t)sat->sat_tab[sid]);
 	}
 	return 0;
 out:
@@ -733,12 +739,14 @@
 	*info = inp;
 	inp += *count;
 	*count += sh.sh_properties;
-	p = (const void *)((const char *)sst->sst_tab + offs + sizeof(sh));
-	e = (const void *)(((const char *)shp) + sh.sh_len);
+	p = (const void *)((const char *)(const void *)sst->sst_tab +
+	    offs + sizeof(sh));
+	e = (const void *)(((const char *)(const void *)shp) + sh.sh_len);
 	if (cdf_check_stream_offset(sst, e, 0) == -1)
 		goto out;
 	for (i = 0; i < sh.sh_properties; i++) {
-		q = (const uint32_t *)((const char *)p +
+		q = (const uint32_t *)(const void *)
+		    ((const char *)(const void *)p +
 		    CDF_TOLE4(p[(i << 1) + 1])) - 2;
 		if (q > e) {
 			DPRINTF(("Ran of the end %p > %p\n", q, e));
@@ -770,7 +778,7 @@
 			if (inp[i].pi_type & CDF_VECTOR)
 				goto unknown;
 			(void)memcpy(&s32, &q[o], sizeof(s32));
-			inp[i].pi_s32 = CDF_TOLE4(s32);
+			inp[i].pi_s32 = CDF_TOLE4((uint32_t)s32);
 			break;
 		case CDF_BOOL:
 		case CDF_UNSIGNED32:
@@ -783,13 +791,13 @@
 			if (inp[i].pi_type & CDF_VECTOR)
 				goto unknown;
 			(void)memcpy(&s64, &q[o], sizeof(s64));
-			inp[i].pi_s64 = CDF_TOLE4(s64);
+			inp[i].pi_s64 = CDF_TOLE8((uint64_t)s64);
 			break;
 		case CDF_UNSIGNED64:
 			if (inp[i].pi_type & CDF_VECTOR)
 				goto unknown;
 			(void)memcpy(&u64, &q[o], sizeof(u64));
-			inp[i].pi_u64 = CDF_TOLE4(u64);
+			inp[i].pi_u64 = CDF_TOLE8((uint64_t)u64);
 			break;
 		case CDF_LENGTH32_STRING:
 			if (nelements > 1) {
@@ -808,11 +816,12 @@
 			for (j = 0; j < nelements; j++, i++) {
 				uint32_t l = CDF_TOLE4(q[o]);
 				inp[i].pi_str.s_len = l;
-				inp[i].pi_str.s_buf = (const char *)(&q[o+1]);
+				inp[i].pi_str.s_buf =
+				    (const char *)(const void *)(&q[o+1]);
 				DPRINTF(("l = %d, r = %d, s = %s\n", l,
 				    CDF_ROUND(l, sizeof(l)),
 				    inp[i].pi_str.s_buf));
-				l = 4 + CDF_ROUND(l, sizeof(l));
+				l = 4 + (uint32_t)CDF_ROUND(l, sizeof(l));
 				o += l >> 2;
 			}
 			i--;
@@ -821,7 +830,7 @@
 			if (inp[i].pi_type & CDF_VECTOR)
 				goto unknown;
 			(void)memcpy(&tp, &q[o], sizeof(tp));
-			inp[i].pi_tp = CDF_TOLE8(tp);
+			inp[i].pi_tp = CDF_TOLE8((uint64_t)tp);
 			break;
 		case CDF_CLIPBOARD:
 			if (inp[i].pi_type & CDF_VECTOR)
@@ -926,32 +935,32 @@
 int
 cdf_print_elapsed_time(char *buf, size_t bufsiz, cdf_timestamp_t ts)
 {
-	size_t len = 0;
+	int len = 0;
 	int days, hours, mins, secs;
 
 	ts /= CDF_TIME_PREC;
-	secs = ts % 60;
+	secs = (int)(ts % 60);
 	ts /= 60;
-	mins = ts % 60;
+	mins = (int)(ts % 60);
 	ts /= 60;
-	hours = ts % 24;
+	hours = (int)(ts % 24);
 	ts /= 24;
-	days = ts;
+	days = (int)ts;
 
 	if (days) {
 		len += snprintf(buf + len, bufsiz - len, "%dd+", days);
-		if (len >= bufsiz)
+		if ((size_t)len >= bufsiz)
 			return len;
 	}
 
 	if (days || hours) {
 		len += snprintf(buf + len, bufsiz - len, "%.2d:", hours);
-		if (len >= bufsiz)
+		if ((size_t)len >= bufsiz)
 			return len;
 	}
 
 	len += snprintf(buf + len, bufsiz - len, "%.2d:", mins);
-	if (len >= bufsiz)
+	if ((size_t)len >= bufsiz)
 		return len;
 
 	len += snprintf(buf + len, bufsiz - len, "%.2d", secs);
diff -u file-5.03/src/cdf.h patches/src/cdf.h
--- file-5.03/src/cdf.h	2009-04-29 21:03:02.000000000 +0200
+++ patches/src/cdf.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: cdf.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*-
  * Copyright (c) 2008 Christos Zoulas
  * All rights reserved.
diff -u file-5.03/src/cdf_time.c patches/src/cdf_time.c
--- file-5.03/src/cdf_time.c	2009-03-10 12:44:29.000000000 +0100
+++ patches/src/cdf_time.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: cdf_time.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*-
  * Copyright (c) 2008 Christos Zoulas
  * All rights reserved.
@@ -27,7 +29,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: cdf_time.c,v 1.6 2009/03/10 11:44:29 christos Exp $")
+#else
+__RCSID("$NetBSD: cdf_time.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif
 
 #include <time.h>
@@ -108,22 +114,22 @@
 	ts->tv_nsec = (t % CDF_TIME_PREC) * 100;
 
 	t /= CDF_TIME_PREC;
-	tm.tm_sec = t % 60;
+	tm.tm_sec = (int)(t % 60);
 	t /= 60;
 
-	tm.tm_min = t % 60;
+	tm.tm_min = (int)(t % 60);
 	t /= 60;
 
-	tm.tm_hour = t % 24;
+	tm.tm_hour = (int)(t % 24);
 	t /= 24;
 
 	// XXX: Approx
-	tm.tm_year = CDF_BASE_YEAR + (t / 365);
+	tm.tm_year = (int)(CDF_BASE_YEAR + (t / 365));
 
 	rdays = cdf_getdays(tm.tm_year);
 	t -= rdays;
-	tm.tm_mday = cdf_getday(tm.tm_year, t);
-	tm.tm_mon = cdf_getmonth(tm.tm_year, t);
+	tm.tm_mday = cdf_getday(tm.tm_year, (int)t);
+	tm.tm_mon = cdf_getmonth(tm.tm_year, (int)t);
 	tm.tm_wday = 0;
 	tm.tm_yday = 0;
 	tm.tm_isdst = 0;
@@ -143,10 +149,13 @@
 }
 
 int
+/*ARGSUSED*/
 cdf_timespec_to_timestamp(cdf_timestamp_t *t, const struct timespec *ts)
 {
+#ifndef __lint__
 	(void)&t;
 	(void)&ts;
+#endif
 #ifdef notyet
 	struct tm tm;
 	if (gmtime_r(&ts->ts_sec, &tm) == NULL) {
diff -u file-5.03/src/compress.c patches/src/compress.c
--- file-5.03/src/compress.c	2009-03-23 15:21:51.000000000 +0100
+++ patches/src/compress.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: compress.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -35,7 +37,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: compress.c,v 1.63 2009/03/23 14:21:51 christos Exp $")
+#else
+__RCSID("$NetBSD: compress.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif
 
 #include "magic.h"
@@ -144,7 +150,7 @@
 private ssize_t
 swrite(int fd, const void *buf, size_t n)
 {
-	int rv;
+	ssize_t rv;
 	size_t rn = n;
 
 	do
@@ -155,7 +161,7 @@
 			return -1;
 		default:
 			n -= rv;
-			buf = ((const char *)buf) + rv;
+			buf = CAST(const char *, buf) + rv;
 			break;
 		}
 	while (n > 0);
@@ -169,7 +175,7 @@
 protected ssize_t
 sread(int fd, void *buf, size_t n, int canbepipe)
 {
-	int rv, cnt;
+	ssize_t rv, cnt;
 #ifdef FIONREAD
 	int t = 0;
 #endif
@@ -235,7 +241,8 @@
     size_t nbytes)
 {
 	char buf[4096];
-	int r, tfd;
+	ssize_t r;
+	int tfd, te;
 
 	(void)strlcpy(buf, "/tmp/file.XXXXXX", sizeof buf);
 #ifndef HAVE_MKSTEMP
@@ -248,9 +255,9 @@
 	}
 #else
 	tfd = mkstemp(buf);
-	r = errno;
+	te = errno;
 	(void)unlink(buf);
-	errno = r;
+	errno = te;
 #endif
 	if (tfd == -1) {
 		file_error(ms, errno,
@@ -337,13 +344,14 @@
 	/* XXX: const castaway, via strchr */
 	z.next_in = (Bytef *)strchr((const char *)old + data_start,
 	    old[data_start]);
-	z.avail_in = n - data_start;
+	z.avail_in = CAST(uint32_t, (n - data_start));
 	z.next_out = *newch;
 	z.avail_out = HOWMANY;
 	z.zalloc = Z_NULL;
 	z.zfree = Z_NULL;
 	z.opaque = Z_NULL;
 
+	/* LINTED bug in header macro */
 	rc = inflateInit2(&z, -15);
 	if (rc != Z_OK) {
 		file_error(ms, 0, "zlib: %s", z.msg);
@@ -371,7 +379,7 @@
     const unsigned char *old, unsigned char **newch, size_t n)
 {
 	int fdin[2], fdout[2];
-	int r;
+	ssize_t r;
 
 #ifdef BUILTIN_DECOMPRESS
         /* FIXME: This doesn't cope with bzip2 */
diff -u file-5.03/src/elfclass.h patches/src/elfclass.h
--- file-5.03/src/elfclass.h	2008-07-16 20:00:57.000000000 +0200
+++ patches/src/elfclass.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: elfclass.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Christos Zoulas 2008.
  * All Rights Reserved.
diff -u file-5.03/src/encoding.c patches/src/encoding.c
--- file-5.03/src/encoding.c	2009-02-03 21:27:51.000000000 +0100
+++ patches/src/encoding.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: encoding.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -35,7 +37,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: encoding.c,v 1.3 2009/02/03 20:27:51 christos Exp $")
+#else
+__RCSID("$NetBSD: encoding.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
diff -u file-5.03/src/file.c patches/src/file.c
--- file-5.03/src/file.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/file.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: file.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -32,7 +34,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: file.c,v 1.131 2009/02/13 18:48:05 christos Exp $")
+#else
+__RCSID("$NetBSD: file.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
diff -u file-5.03/src/file.h patches/src/file.h
--- file-5.03/src/file.h	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/file.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: file.h,v 1.3 2009/05/15 12:06:09 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -298,7 +300,7 @@
 #ifdef __cplusplus
 #define CAST(T, b)	static_cast<T>(b)
 #else
-#define CAST(T, b)	(b)
+#define CAST(T, b)	(T)(b)
 #endif
 
 struct level_info {
@@ -446,5 +448,8 @@
 #else
 #define FILE_RCSID(id)
 #endif
+#ifndef __RCSID
+#define __RCSID(a)
+#endif
 
 #endif /* __file_h__ */
diff -u file-5.03/src/file_opts.h patches/src/file_opts.h
--- file-5.03/src/file_opts.h	2008-11-02 23:07:11.000000000 +0100
+++ patches/src/file_opts.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: file_opts.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Table of command-line options
  *
diff -u file-5.03/src/fsmagic.c patches/src/fsmagic.c
--- file-5.03/src/fsmagic.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/fsmagic.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: fsmagic.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -32,7 +34,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: fsmagic.c,v 1.59 2009/02/03 20:27:51 christos Exp $")
+#else
+__RCSID("$NetBSD: fsmagic.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
@@ -106,7 +112,7 @@
 	int mime = ms->flags & MAGIC_MIME;
 #ifdef	S_IFLNK
 	char buf[BUFSIZ+4];
-	int nch;
+	ssize_t nch;
 	struct stat tstatbuf;
 #endif
 
diff -u file-5.03/src/funcs.c patches/src/funcs.c
--- file-5.03/src/funcs.c	2009-04-07 13:07:00.000000000 +0200
+++ patches/src/funcs.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: funcs.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Christos Zoulas 2003.
  * All Rights Reserved.
@@ -27,7 +29,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: funcs.c,v 1.53 2009/04/07 11:07:00 christos Exp $")
+#else
+__RCSID("$NetBSD: funcs.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
@@ -95,7 +101,7 @@
 /*VARARGS*/
 private void
 file_error_core(struct magic_set *ms, int error, const char *f, va_list va,
-    uint32_t lineno)
+    size_t lineno)
 {
 	/* Only the first error is ok */
 	if (ms->event_flags & EVENT_HAD_ERR)
@@ -103,7 +109,7 @@
 	if (lineno != 0) {
 		free(ms->o.buf);
 		ms->o.buf = NULL;
-		file_printf(ms, "line %u: ", lineno);
+		file_printf(ms, "line %zu: ", lineno);
 	}
 	file_vprintf(ms, f, va);
 	if (error > 0)
diff -u file-5.03/src/getopt_long.c patches/src/getopt_long.c
--- file-5.03/src/getopt_long.c	2009-02-13 19:48:05.000000000 +0100
+++ patches/src/getopt_long.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,4 +1,4 @@
-/*	$NetBSD: getopt_long.c,v 1.21.4.1 2008/01/09 01:34:14 matt Exp $	*/
+/*	$NetBSD: getopt_long.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $	*/
 
 /*-
  * Copyright (c) 2000 The NetBSD Foundation, Inc.
@@ -32,7 +32,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: getopt_long.c,v 1.6 2009/02/13 18:48:05 christos Exp $")
+#else
+__RCSID("$NetBSD: getopt_long.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include <assert.h>
diff -u file-5.03/src/is_tar.c patches/src/is_tar.c
--- file-5.03/src/is_tar.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/is_tar.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: is_tar.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -40,7 +42,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: is_tar.c,v 1.36 2009/02/03 20:27:51 christos Exp $")
+#else
+__RCSID("$NetBSD: is_tar.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $");
+#endif
 #endif
 
 #include "magic.h"
diff -u file-5.03/src/magic.c patches/src/magic.c
--- file-5.03/src/magic.c	2009-03-20 22:25:41.000000000 +0100
+++ patches/src/magic.c	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: magic.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Christos Zoulas 2003.
  * All Rights Reserved.
@@ -28,7 +30,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: magic.c,v 1.62 2009/03/20 21:25:41 christos Exp $")
+#else
+__RCSID("$NetBSD: magic.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
@@ -88,7 +94,7 @@
 	struct magic_set *ms;
 	size_t len;
 
-	if ((ms = CAST(magic_set *, calloc((size_t)1,
+	if ((ms = CAST(struct magic_set *, calloc((size_t)1,
 	    sizeof(struct magic_set)))) == NULL)
 		return NULL;
 
diff -u file-5.03/src/magic.h patches/src/magic.h
--- file-5.03/src/magic.h	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/magic.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: magic.h,v 1.1.1.1 2009/05/08 16:35:04 christos Exp $	*/
+
 /*
  * Copyright (c) Christos Zoulas 2003.
  * All Rights Reserved.
diff -u file-5.03/src/mygetopt.h patches/src/mygetopt.h
--- file-5.03/src/mygetopt.h	2008-07-05 17:44:36.000000000 +0200
+++ patches/src/mygetopt.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,4 +1,4 @@
-/*	$NetBSD: getopt.h,v 1.8 2007/11/06 19:21:18 christos Exp $	*/
+/*	$NetBSD: mygetopt.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
 
 /*-
  * Copyright (c) 2000 The NetBSD Foundation, Inc.
diff -u file-5.03/src/names.h patches/src/names.h
--- file-5.03/src/names.h	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/names.h	2010-01-30 09:53:45.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: names.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
diff -u file-5.03/src/patchlevel.h patches/src/patchlevel.h
--- file-5.03/src/patchlevel.h	2009-05-06 22:32:48.000000000 +0200
+++ patches/src/patchlevel.h	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: patchlevel.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 #define	FILE_VERSION_MAJOR	5
 #define	patchlevel		3
 
@@ -5,7 +7,7 @@
  * Patchlevel file for Ian Darwin's MAGIC command.
  * $File: patchlevel.h,v 1.74 2009/05/06 20:32:48 christos Exp $
  *
- * $Log: patchlevel.h,v $
+ * Log: patchlevel.h,v
  * Revision 1.74  2009/05/06 20:32:48  christos
  * welcome to 5.03
  *
diff -u file-5.03/src/print.c patches/src/print.c
--- file-5.03/src/print.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/print.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: print.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -32,7 +34,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: print.c,v 1.66 2009/02/03 20:27:51 christos Exp $")
+#else
+__RCSID("$NetBSD: print.c,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $");
+#endif
 #endif  /* lint */
 
 #include <string.h>
diff -u file-5.03/src/readcdf.c patches/src/readcdf.c
--- file-5.03/src/readcdf.c	2009-05-06 22:48:22.000000000 +0200
+++ patches/src/readcdf.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: readcdf.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*-
  * Copyright (c) 2008 Christos Zoulas
  * All rights reserved.
@@ -26,7 +28,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: readcdf.c,v 1.18 2009/05/06 20:48:22 christos Exp $")
+#else
+__RCSID("$NetBSD: readcdf.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif
 
 #include <stdlib.h>
@@ -160,20 +166,20 @@
 		switch (si.si_os) {
 		case 2:
 			if (file_printf(ms, ", Os: Windows, Version %d.%d",
-			    si.si_os_version & 0xff, si.si_os_version >> 8)
-			    == -1)
+			    si.si_os_version & 0xff,
+			    (uint32_t)si.si_os_version >> 8) == -1)
 				return -1;
 			break;
 		case 1:
 			if (file_printf(ms, ", Os: MacOS, Version %d.%d",
-			    si.si_os_version >> 8, si.si_os_version & 0xff)
-			    == -1)
+			    (uint32_t)si.si_os_version >> 8,
+			    si.si_os_version & 0xff) == -1)
 				return -1;
 			break;
 		default:
 			if (file_printf(ms, ", Os %d, Version: %d.%d", si.si_os,
-			    si.si_os_version & 0xff, si.si_os_version >> 8)
-			    == -1)
+			    si.si_os_version & 0xff,
+			    (uint32_t)si.si_os_version >> 8) == -1)
 				return -1;
 			break;
 		}
diff -u file-5.03/src/readelf.c patches/src/readelf.c
--- file-5.03/src/readelf.c	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/readelf.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: readelf.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Christos Zoulas 2003.
  * All Rights Reserved.
@@ -27,7 +29,11 @@
 #include "file.h"
 
 #ifndef lint
+#if 0
 FILE_RCSID("@(#)$File: readelf.c,v 1.81 2008/11/04 16:38:28 christos Exp $")
+#else
+__RCSID("$NetBSD: readelf.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif
 
 #ifdef BUILTIN_ELF
@@ -1019,7 +1025,7 @@
 	const char *linking_style = "statically";
 	const char *shared_libraries = "";
 	unsigned char nbuf[BUFSIZ];
-	int bufsize;
+	ssize_t bufsize;
 	size_t offset, align;
 	off_t savedoffset = (off_t)-1;
 	struct stat st;
@@ -1074,7 +1080,7 @@
 			shared_libraries = " (uses shared libs)";
 			break;
 		case PT_NOTE:
-			if ((align = xph_align) & 0x80000000) {
+			if ((align = xph_align) & 0x80000000UL) {
 				if (file_printf(ms, 
 				    ", invalid note alignment 0x%lx",
 				    (unsigned long)align) == -1)
diff -u file-5.03/src/readelf.h patches/src/readelf.h
--- file-5.03/src/readelf.h	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/readelf.h	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: readelf.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Christos Zoulas 2003.
  * All Rights Reserved.
diff -u file-5.03/src/softmagic.c patches/src/softmagic.c
--- file-5.03/src/softmagic.c	2009-03-27 23:42:49.000000000 +0100
+++ patches/src/softmagic.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: softmagic.c,v 1.2 2009/05/08 17:28:01 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -32,7 +34,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: softmagic.c,v 1.135 2009/03/27 22:42:49 christos Exp $")
+#else
+__RCSID("$NetBSD: softmagic.c,v 1.2 2009/05/08 17:28:01 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include "magic.h"
@@ -582,23 +588,23 @@
 {
   	switch (m->type) {
   	case FILE_BYTE:
-		return ms->offset + sizeof(char);
+		return CAST(int32_t, (ms->offset + sizeof(char)));
 
   	case FILE_SHORT:
   	case FILE_BESHORT:
   	case FILE_LESHORT:
-		return ms->offset + sizeof(short);
+		return CAST(int32_t, (ms->offset + sizeof(short)));
 
   	case FILE_LONG:
   	case FILE_BELONG:
   	case FILE_LELONG:
   	case FILE_MELONG:
-		return ms->offset + sizeof(int32_t);
+		return CAST(int32_t, (ms->offset + sizeof(int32_t)));
 
   	case FILE_QUAD:
   	case FILE_BEQUAD:
   	case FILE_LEQUAD:
-		return ms->offset + sizeof(int64_t);
+		return CAST(int32_t, (ms->offset + sizeof(int64_t)));
 
   	case FILE_STRING:
   	case FILE_PSTRING:
@@ -612,7 +618,7 @@
 
 			if (*m->value.s == '\0')
 				p->s[strcspn(p->s, "\n")] = '\0';
-			t = ms->offset + strlen(p->s);
+			t = CAST(uint32_t, (ms->offset + strlen(p->s)));
 			if (m->type == FILE_PSTRING)
 				t++;
 			return t;
@@ -622,46 +628,46 @@
 	case FILE_BEDATE:
 	case FILE_LEDATE:
 	case FILE_MEDATE:
-		return ms->offset + sizeof(time_t);
+		return CAST(int32_t, (ms->offset + sizeof(time_t)));
 
 	case FILE_LDATE:
 	case FILE_BELDATE:
 	case FILE_LELDATE:
 	case FILE_MELDATE:
-		return ms->offset + sizeof(time_t);
+		return CAST(int32_t, (ms->offset + sizeof(time_t)));
 
 	case FILE_QDATE:
 	case FILE_BEQDATE:
 	case FILE_LEQDATE:
-		return ms->offset + sizeof(uint64_t);
+		return CAST(int32_t, (ms->offset + sizeof(uint64_t)));
 
 	case FILE_QLDATE:
 	case FILE_BEQLDATE:
 	case FILE_LEQLDATE:
-		return ms->offset + sizeof(uint64_t);
+		return CAST(int32_t, (ms->offset + sizeof(uint64_t)));
 
   	case FILE_FLOAT:
   	case FILE_BEFLOAT:
   	case FILE_LEFLOAT:
-		return ms->offset + sizeof(float);
+		return CAST(int32_t, (ms->offset + sizeof(float)));
 
   	case FILE_DOUBLE:
   	case FILE_BEDOUBLE:
   	case FILE_LEDOUBLE:
-		return ms->offset + sizeof(double);
-  		break;
+		return CAST(int32_t, (ms->offset + sizeof(double)));
 
 	case FILE_REGEX:
 		if ((m->str_flags & REGEX_OFFSET_START) != 0)
-			return ms->search.offset;
+			return CAST(int32_t, ms->search.offset);
 		else
-			return ms->search.offset + ms->search.rm_len;
+			return CAST(int32_t, (ms->search.offset +
+			    ms->search.rm_len));
 
 	case FILE_SEARCH:
 		if ((m->str_flags & REGEX_OFFSET_START) != 0)
-			return ms->search.offset;
+			return CAST(int32_t, ms->search.offset);
 		else
-			return ms->search.offset + m->vallen;
+			return CAST(int32_t, (ms->search.offset + m->vallen));
 
 	case FILE_DEFAULT:
 		return ms->offset;
@@ -924,7 +930,7 @@
 	if (indir == 0) {
 		switch (type) {
 		case FILE_SEARCH:
-			ms->search.s = (const char *)s + offset;
+			ms->search.s = CAST(const char *, s) + offset;
 			ms->search.s_len = nbytes - offset;
 			ms->search.offset = offset;
 			return 0;
@@ -942,18 +948,19 @@
 				ms->search.s = NULL;
 				return 0;
 			}
-			buf = (const char *)s + offset;
-			end = last = (const char *)s + nbytes;
+			buf = CAST(const char *, s) + offset;
+			end = last = CAST(const char *, s) + nbytes;
 			/* mget() guarantees buf <= last */
-			for (lines = linecnt, b = buf;
-			     lines && ((b = memchr(c = b, '\n', end - b)) || (b = memchr(c, '\r', end - c)));
+			for (lines = linecnt, b = buf; lines &&
+			     ((b = memchr(c = b, '\n', CAST(size_t, (end - b))))
+			     || (b = memchr(c, '\r', CAST(size_t, (end - c)))));
 			     lines--, b++) {
 				last = b;
 				if (b[0] == '\r' && b[1] == '\n')
 					b++;
 			}
 			if (lines)
-				last = (const char *)s + nbytes;
+				last = CAST(const char *, s) + nbytes;
 
 			ms->search.s = buf;
 			ms->search.s_len = last - buf;
diff -u file-5.03/src/strlcat.c patches/src/strlcat.c
--- file-5.03/src/strlcat.c	2009-04-30 23:03:10.000000000 +0200
+++ patches/src/strlcat.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: strlcat.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $	*/
+
 /*	$OpenBSD: strlcat.c,v 1.13 2005/08/08 08:05:37 espie Exp $	*/
 
 /*
diff -u file-5.03/src/strlcpy.c patches/src/strlcpy.c
--- file-5.03/src/strlcpy.c	2009-04-30 23:03:10.000000000 +0200
+++ patches/src/strlcpy.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: strlcpy.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $	*/
+
 /*	$OpenBSD: strlcpy.c,v 1.10 2005/08/08 08:05:37 espie Exp $	*/
 
 /*
diff -u file-5.03/src/tar.h patches/src/tar.h
--- file-5.03/src/tar.h	2009-03-17 22:52:35.000000000 +0100
+++ patches/src/tar.h	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: tar.h,v 1.1.1.1 2009/05/08 16:35:06 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
diff -u file-5.03/src/vasprintf.c patches/src/vasprintf.c
--- file-5.03/src/vasprintf.c	2009-02-03 21:27:52.000000000 +0100
+++ patches/src/vasprintf.c	2010-01-30 09:53:46.000000000 +0100
@@ -1,3 +1,5 @@
+/*	$NetBSD: vasprintf.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $	*/
+
 /*
  * Copyright (c) Ian F. Darwin 1986-1995.
  * Software written by Ian F. Darwin and others;
@@ -108,7 +110,11 @@
 #include "file.h"
 
 #ifndef	lint
+#if 0
 FILE_RCSID("@(#)$File: vasprintf.c,v 1.7 2009/02/03 20:27:52 christos Exp $")
+#else
+__RCSID("$NetBSD: vasprintf.c,v 1.1.1.1 2009/05/08 16:35:05 christos Exp $");
+#endif
 #endif	/* lint */
 
 #include <assert.h>
